context("Generic tests")
test_that("Sanity checks", {
  #source("csindicators/R/AbsToProbs.R")
  expect_error(AbsToProbs('x'), "Parameter 'data' must be numeric.")
  expect_equal(AbsToProbs(1), array(1, c(sdate = 1, member = 1)))
  expect_equal(AbsToProbs(1, memb_dim = 'x'), array(1, c(sdate = 1, x = 1)))
  expect_error(AbsToProbs(data = NULL), "Parameter 'data' cannot be NULL.")
  expect_error(AbsToProbs(1, dates = '2000-01-01', end = 3, start = 4),
    "Parameter 'start' and 'end' must be lists indicating the day and the month of the period start and end.")
  expect_equal(AbsToProbs(1:10), array(seq(0.1, 1, 0.1), c(sdate = 1, member = 10)))
  data <- array(1:24, c(member = 3, sdate = 2, lon = 4))
  expect_equal(AbsToProbs(data), array(rep(0:1,12), c(sdate = 2, member = 3, lon = 4)))
})
